import os
from os import system
from syncloud.ci.config import get_config

config = get_config()


def disk_available():
    disk = config.external_disk()
    if not os.path.isdir(disk):
        print("external disk is not available under {0}".format(disk))
        return False
    return True


def create_ci_dir():
    ci_dir = config.ci_dir()
    if not os.path.isdir(ci_dir):
        print("Creating CI dir {0}".format(ci_dir))
        os.makedirs(ci_dir)


def remove_ci_dir():
    ci_dir = config.ci_dir()
    if os.path.isdir(ci_dir):
        print("Removing CI dir {0}".format(ci_dir))
        os.rmdir(ci_dir)

    ci_lock_dir = config.ci_lock_dir()
    if os.path.isdir(ci_lock_dir):
        print("Removing lock dir {0}".format(ci_lock_dir))
        os.rmdir(ci_lock_dir)


def install_deps():
    system('apt-get -y update')
    system('apt-get -y install xz-utils git makeself p7zip p7zip-full parted')
